com.amazonaws.services.cloudfront.model

## Class LambdaFunctionAssociation

- java.lang.Object
- - com.amazonaws.services.cloudfront.model.LambdaFunctionAssociation

All Implemented Interfaces:
  Serializable, Cloneable

    public class LambdaFunctionAssociation
    extends Object
    implements Serializable, Cloneable

A complex type that contains a Lambda function association.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`LambdaFunctionAssociation()`

### Method Summary

All Methods Instance Methods Concrete Methods
`LambdaFunctionAssociation` `clone()`
`boolean` `equals(Object obj)`
`String` `getEventType()` Specifies the event type that triggers a Lambda function invocation.
`String` `getLambdaFunctionARN()` The ARN of the Lambda function.
`int` `hashCode()`
`void` `setEventType(EventType eventType)` Specifies the event type that triggers a Lambda function invocation.
`void` `setEventType(String eventType)` Specifies the event type that triggers a Lambda function invocation.
`void` `setLambdaFunctionARN(String lambdaFunctionARN)` The ARN of the Lambda function.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`LambdaFunctionAssociation` `withEventType(EventType eventType)` Specifies the event type that triggers a Lambda function invocation.
`LambdaFunctionAssociation` `withEventType(String eventType)` Specifies the event type that triggers a Lambda function invocation.
`LambdaFunctionAssociation` `withLambdaFunctionARN(String lambdaFunctionARN)` The ARN of the Lambda function.

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### LambdaFunctionAssociation

    public LambdaFunctionAssociation()

### Method Detail

#### setLambdaFunctionARN

    public void setLambdaFunctionARN(String lambdaFunctionARN)

The ARN of the Lambda function.

Parameters:
  `lambdaFunctionARN` - The ARN of the Lambda function.

#### getLambdaFunctionARN

    public String getLambdaFunctionARN()

The ARN of the Lambda function.

Returns:
  The ARN of the Lambda function.

#### withLambdaFunctionARN

    public LambdaFunctionAssociation withLambdaFunctionARN(String lambdaFunctionARN)

The ARN of the Lambda function.

Parameters:
  `lambdaFunctionARN` - The ARN of the Lambda function.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setEventType

    public void setEventType(String eventType)

Specifies the event type that triggers a Lambda function invocation. Valid values are:

- `viewer-request`

- `origin-request`

- `viewer-response`

- `origin-response`

Parameters:
  `eventType` - Specifies the event type that triggers a Lambda function invocation. Valid values are:

  - `viewer-request`

  - `origin-request`

  - `viewer-response`

  - `origin-response`

See Also:
  `EventType`

#### getEventType

    public String getEventType()

Specifies the event type that triggers a Lambda function invocation. Valid values are:

- `viewer-request`

- `origin-request`

- `viewer-response`

- `origin-response`

Returns:
  Specifies the event type that triggers a Lambda function invocation. Valid values are:

  - `viewer-request`

  - `origin-request`

  - `viewer-response`

  - `origin-response`

See Also:
  `EventType`

#### withEventType

    public LambdaFunctionAssociation withEventType(String eventType)

Specifies the event type that triggers a Lambda function invocation. Valid values are:

- `viewer-request`

- `origin-request`

- `viewer-response`

- `origin-response`

Parameters:
  `eventType` - Specifies the event type that triggers a Lambda function invocation. Valid values are:

  - `viewer-request`

  - `origin-request`

  - `viewer-response`

  - `origin-response`

Returns:
  Returns a reference to this object so that method calls can be chained together.
See Also:
  `EventType`

#### setEventType

    public void setEventType(EventType eventType)

Specifies the event type that triggers a Lambda function invocation. Valid values are:

- `viewer-request`

- `origin-request`

- `viewer-response`

- `origin-response`

Parameters:
  `eventType` - Specifies the event type that triggers a Lambda function invocation. Valid values are:

  - `viewer-request`

  - `origin-request`

  - `viewer-response`

  - `origin-response`

See Also:
  `EventType`

#### withEventType

    public LambdaFunctionAssociation withEventType(EventType eventType)

Specifies the event type that triggers a Lambda function invocation. Valid values are:

- `viewer-request`

- `origin-request`

- `viewer-response`

- `origin-response`

Parameters:
  `eventType` - Specifies the event type that triggers a Lambda function invocation. Valid values are:

  - `viewer-request`

  - `origin-request`

  - `viewer-response`

  - `origin-response`

Returns:
  Returns a reference to this object so that method calls can be chained together.
See Also:
  `EventType`

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public LambdaFunctionAssociation clone()

Overrides:
  `clone` in class `Object`